<template>
  <div class="VerificationCode">
    <div class="getcode" v-if="isGet == false" @click='getCode' >获取验证码</div>
    <div class='getcode' v-if="isGet == true" >{{sec}}秒</div>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
   export default {
     data(){
       return{
         hintbox:{
           text:'',
           show: false
         },
         isGet : false,
         sec : 60,
         verificationcode :''
       }
     },
     props:{
       phonenumber:{
         default(){
           return '';
         }
       },
       type:{
         default(){
           return 'type';
         }
       }
     },
     components:{
       'v-hintbox' :hintbox
     },
     methods:{
       close(){
         this.hintbox.show=false;
         this.hintbox.text='';
       },
       // 验证码定时器
       getCode() {
         let  that = this;
         console.log(that.phonenumber.length);
//         return;
         if(that.phonenumber.length !== 11){
             return;
         }
         that.isGet =true;
         let num = 60;
         let sec = 60;
         var time = setInterval(function () {
           if (num === 1) {
             clearInterval(time)
             that.sec = 60;
             that.isGet = false
             return false
           }else{
             num--;
             that.sec = num;
             sec = that.sec;
             // 判断手机号是不是11位，不是代表手机修改中，直接重置
             if(that.phonenumber.length !== 11){
               clearInterval(time)
               that.sec = 60;
               that.isGet = false
               return false
             }
           }
           //  this.sec = remian;
         }, 1000);
         console.log('调取验证码');
         console.log('验证码类型',that.type);
        //  +that.phonenumber
         //第三步：请求验证码接口，并记录服务器返回的验证码用于判断，这里服务器也可能不返回验证码，那验证码的判断交给后台*/
        let veevlink = VeevlinkData();
        VeevlinkClient(
          '/member/verficationCode/get?openid='+veevlink.OpenId+'&phone='+that.phonenumber,
          'GET',
          '',
          function (data) {
            if(data.success){
            //  console.log(data.records[0].VerificationCodeEntity.verificationcode);
            //  that.verificationcode = data.records[0].VerificationCodeEntity.verificationcode;
            that.$emit("codeEmit", data.message);
            }else{
              that.hintbox.show= true;
              that.hintbox.text=data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show= true;
            that.hintbox.text=JSON.stringify(error);
          },'发送中')
         

       }
     }
   }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .getcode{
    color: #fff;
    text-align: center;
    font-size: 0.24rem;
  }
</style>
